oids.h File Reference

ASN.1 object identifiers for algorithms and schemes. More...

Go to the source code of this file.

## Macros

#define | DEFINE_OID(value, name)

## Functions

OID | iso ()
OID | member_body ()
OID | iso_cn ()
OID | oscca ()
OID | sm_scheme ()
OID | sms4 ()
OID | sm2p256v1 ()
OID | sm2sign ()
OID | sm2exchange ()
OID | sm2encrypt ()
OID | sm2encrypt_recommendedParameters ()
OID | sm2encrypt_specifiedParameters ()
OID | iso_us ()
OID | ansi_x9_57 ()
OID | ansi_x9cm ()
OID | id_dsa ()
OID | ansi_x9_62 ()
OID | id_fieldType ()
OID | prime_field ()
OID | characteristic_two_field ()
OID | id_characteristic_two_basis ()
OID | gnBasis ()
OID | tpBasis ()
OID | ppBasis ()
OID | id_publicKeyType ()
OID | id_ecPublicKey ()
OID | ansi_x9_62_curves ()
OID | ansi_x9_62_curves_prime ()
OID | secp192r1 ()
OID | secp256r1 ()
OID | ansi_signatures ()
OID | ecdsa_with_sha2 ()
OID | ecdsa_with_sha224 ()
OID | ecdsa_with_sha256 ()
OID | ecdsa_with_sha384 ()
OID | ecdsa_with_sha512 ()
OID | rsadsi ()
OID | pkcs ()
OID | pkcs_1 ()
OID | rsaEncryption ()
OID | md2WithRSAEncryption ()
OID | md4withRSAEncryption ()
OID | md5WithRSAEncryption ()
OID | sha1WithRSAEncryption ()
OID | rsassa_pss ()
OID | sha256WithRSAEncryption ()
OID | sha384WithRSAEncryption ()
OID | sha512WithRSAEncryption ()
OID | sha224WithRSAEncryption ()
OID | sha512_224WithRSAEncryption ()
OID | sha512_256WithRSAEncryption ()
OID | rsadsi_digestAlgorithm ()
OID | id_md2 ()
OID | id_md5 ()
OID | identified_organization ()
OID | dod ()
OID | internet ()
OID | internet_private ()
OID | enterprise ()
OID | gnu ()
OID | ellipticCurve ()
OID | curve25519 ()
OID | curve448 ()
OID | curve25519ph ()
OID | curve448ph ()
OID | oiw ()
OID | oiw_secsig ()
OID | oiw_secsig_algorithms ()
OID | id_sha1 ()
OID | dssig ()
OID | algorithm ()
OID | encryptionAlgorithm ()
OID | elGamal ()
OID | teletrust ()
OID | teletrust_algorithm ()
OID | id_ripemd160 ()
OID | teletrust_ellipticCurve ()
OID | brainpoolP160r1 ()
OID | brainpoolP192r1 ()
OID | brainpoolP224r1 ()
OID | brainpoolP256r1 ()
OID | brainpoolP320r1 ()
OID | brainpoolP384r1 ()
OID | brainpoolP512r1 ()
OID | thawte ()
OID | X25519 ()
OID | X448 ()
OID | Ed25519 ()
OID | Ed448 ()
OID | certicom ()
OID | certicom_ellipticCurve ()
OID | secp112r1 ()
OID | secp112r2 ()
OID | secp160r1 ()
OID | secp160k1 ()
OID | secp256k1 ()
OID | secp128r1 ()
OID | secp128r2 ()
OID | secp160r2 ()
OID | secp192k1 ()
OID | secp224k1 ()
OID | secp224r1 ()
OID | secp384r1 ()
OID | secp521r1 ()
OID | sect163k1 ()
OID | sect163r1 ()
OID | sect239k1 ()
OID | sect113r1 ()
OID | sect113r2 ()
OID | sect163r2 ()
OID | sect283k1 ()
OID | sect283r1 ()
OID | sect131r1 ()
OID | sect131r2 ()
OID | sect193r1 ()
OID | sect193r2 ()
OID | sect233k1 ()
OID | sect233r1 ()
OID | sect409k1 ()
OID | sect409r1 ()
OID | sect571k1 ()
OID | sect571r1 ()
OID | joint_iso_ccitt ()
OID | country ()
OID | joint_iso_ccitt_us ()
OID | us_organization ()
OID | us_gov ()
OID | csor ()
OID | nistalgorithms ()
OID | aes ()
OID | id_aes128_ECB ()
OID | id_aes128_cbc ()
OID | id_aes128_ofb ()
OID | id_aes128_cfb ()
OID | id_aes192_ECB ()
OID | id_aes192_cbc ()
OID | id_aes192_ofb ()
OID | id_aes192_cfb ()
OID | id_aes256_ECB ()
OID | id_aes256_cbc ()
OID | id_aes256_ofb ()
OID | id_aes256_cfb ()
OID | nist_hashalgs ()
OID | id_sha256 ()
OID | id_sha384 ()
OID | id_sha512 ()
OID | id_sha224 ()
OID | id_sha3_224 ()
OID | id_sha3_256 ()
OID | id_sha3_384 ()
OID | id_sha3_512 ()
OID | ansi_x942 ()
OID | number_type ()
OID | dhpublicnumber ()

## Detailed Description

ASN.1 object identifiers for algorithms and schemes.

Most OIDs can be found at http://www.oid-info.com/. The Chinese OIDs are assigned in GM/T 0006-2012, Cryptographic Application Identifier Criterion Specification. A reproduction can be found at http://gmssl.org/docs/oid.html. There seems to be some confusion between the text of GmSSL's oid.html web page and the actual OID used in the code. We used the same OIDs that were detailed in http://github.com/guanzhi/GmSSL/blob/master/crypto/objects/objects.txt.

Definition in file oids.h.

## Macro Definition Documentation

## DEFINE_OID

#define DEFINE_OID | ( |  | value,
|  |  | name )

Value:
inline OID name() {return value;}
OID
Object Identifier.
Definition asn.h:265

Definition at line 21 of file oids.h.

## Function Documentation

## iso()

OID iso | ( |  | ) |

inline

Definition at line 23 of file oids.h.

## member_body()

OID member_body | ( |  | ) |

inline

Definition at line 24 of file oids.h.

## iso_cn()

OID iso_cn | ( |  | ) |

inline

Definition at line 25 of file oids.h.

## oscca()

OID oscca | ( |  | ) |

inline

Definition at line 26 of file oids.h.

## sm_scheme()

OID sm_scheme | ( |  | ) |

inline

Definition at line 27 of file oids.h.

## sms4()

OID sms4 | ( |  | ) |

inline

Definition at line 28 of file oids.h.

## sm2p256v1()

OID sm2p256v1 | ( |  | ) |

inline

Definition at line 29 of file oids.h.

## sm2sign()

OID sm2sign | ( |  | ) |

inline

Definition at line 30 of file oids.h.

## sm2exchange()

OID sm2exchange | ( |  | ) |

inline

Definition at line 31 of file oids.h.

## sm2encrypt()

OID sm2encrypt | ( |  | ) |

inline

Definition at line 32 of file oids.h.

## sm2encrypt_recommendedParameters()

OID sm2encrypt_recommendedParameters | ( |  | ) |

inline

Definition at line 33 of file oids.h.

## sm2encrypt_specifiedParameters()

OID sm2encrypt_specifiedParameters | ( |  | ) |

inline

Definition at line 34 of file oids.h.

## iso_us()

OID iso_us | ( |  | ) |

inline

Definition at line 35 of file oids.h.

## ansi_x9_57()

OID ansi_x9_57 | ( |  | ) |

inline

Definition at line 36 of file oids.h.

## ansi_x9cm()

OID ansi_x9cm | ( |  | ) |

inline

Definition at line 37 of file oids.h.

## id_dsa()

OID id_dsa | ( |  | ) |

inline

Definition at line 38 of file oids.h.

## ansi_x9_62()

OID ansi_x9_62 | ( |  | ) |

inline

Definition at line 39 of file oids.h.

## id_fieldType()

OID id_fieldType | ( |  | ) |

inline

Definition at line 40 of file oids.h.

## prime_field()

OID prime_field | ( |  | ) |

inline

Definition at line 41 of file oids.h.

## characteristic_two_field()

OID characteristic_two_field | ( |  | ) |

inline

Definition at line 42 of file oids.h.

## id_characteristic_two_basis()

OID id_characteristic_two_basis | ( |  | ) |

inline

Definition at line 43 of file oids.h.

## gnBasis()

OID gnBasis | ( |  | ) |

inline

Definition at line 44 of file oids.h.

## tpBasis()

OID tpBasis | ( |  | ) |

inline

Definition at line 45 of file oids.h.

## ppBasis()

OID ppBasis | ( |  | ) |

inline

Definition at line 46 of file oids.h.

## id_publicKeyType()

OID id_publicKeyType | ( |  | ) |

inline

Definition at line 47 of file oids.h.

## id_ecPublicKey()

OID id_ecPublicKey | ( |  | ) |

inline

Definition at line 48 of file oids.h.

## ansi_x9_62_curves()

OID ansi_x9_62_curves | ( |  | ) |

inline

Definition at line 49 of file oids.h.

## ansi_x9_62_curves_prime()

OID ansi_x9_62_curves_prime | ( |  | ) |

inline

Definition at line 50 of file oids.h.

## secp192r1()

OID secp192r1 | ( |  | ) |

inline

Definition at line 52 of file oids.h.

## secp256r1()

OID secp256r1 | ( |  | ) |

inline

Definition at line 58 of file oids.h.

## ansi_signatures()

OID ansi_signatures | ( |  | ) |

inline

Definition at line 59 of file oids.h.

## ecdsa_with_sha2()

OID ecdsa_with_sha2 | ( |  | ) |

inline

Definition at line 60 of file oids.h.

## ecdsa_with_sha224()

OID ecdsa_with_sha224 | ( |  | ) |

inline

Definition at line 61 of file oids.h.

## ecdsa_with_sha256()

OID ecdsa_with_sha256 | ( |  | ) |

inline

Definition at line 62 of file oids.h.

## ecdsa_with_sha384()

OID ecdsa_with_sha384 | ( |  | ) |

inline

Definition at line 63 of file oids.h.

## ecdsa_with_sha512()

OID ecdsa_with_sha512 | ( |  | ) |

inline

Definition at line 64 of file oids.h.

## rsadsi()

OID rsadsi | ( |  | ) |

inline

Definition at line 65 of file oids.h.

## pkcs()

OID pkcs | ( |  | ) |

inline

Definition at line 66 of file oids.h.

## pkcs_1()

OID pkcs_1 | ( |  | ) |

inline

Definition at line 67 of file oids.h.

## rsaEncryption()

OID rsaEncryption | ( |  | ) |

inline

Definition at line 69 of file oids.h.

## md2WithRSAEncryption()

OID md2WithRSAEncryption | ( |  | ) |

inline

Definition at line 70 of file oids.h.

## md4withRSAEncryption()

OID md4withRSAEncryption | ( |  | ) |

inline

Definition at line 71 of file oids.h.

## md5WithRSAEncryption()

OID md5WithRSAEncryption | ( |  | ) |

inline

Definition at line 72 of file oids.h.

## sha1WithRSAEncryption()

OID sha1WithRSAEncryption | ( |  | ) |

inline

Definition at line 73 of file oids.h.

## rsassa_pss()

OID rsassa_pss | ( |  | ) |

inline

Definition at line 74 of file oids.h.

## sha256WithRSAEncryption()

OID sha256WithRSAEncryption | ( |  | ) |

inline

Definition at line 75 of file oids.h.

## sha384WithRSAEncryption()

OID sha384WithRSAEncryption | ( |  | ) |

inline

Definition at line 76 of file oids.h.

## sha512WithRSAEncryption()

OID sha512WithRSAEncryption | ( |  | ) |

inline

Definition at line 77 of file oids.h.

## sha224WithRSAEncryption()

OID sha224WithRSAEncryption | ( |  | ) |

inline

Definition at line 78 of file oids.h.

## sha512_224WithRSAEncryption()

OID sha512_224WithRSAEncryption | ( |  | ) |

inline

Definition at line 79 of file oids.h.

## sha512_256WithRSAEncryption()

OID sha512_256WithRSAEncryption | ( |  | ) |

inline

Definition at line 80 of file oids.h.

## rsadsi_digestAlgorithm()

OID rsadsi_digestAlgorithm | ( |  | ) |

inline

Definition at line 81 of file oids.h.

## id_md2()

OID id_md2 | ( |  | ) |

inline

Definition at line 82 of file oids.h.

## id_md5()

OID id_md5 | ( |  | ) |

inline

Definition at line 83 of file oids.h.

## identified_organization()

OID identified_organization | ( |  | ) |

inline

Definition at line 84 of file oids.h.

## dod()

OID dod | ( |  | ) |

inline

Definition at line 89 of file oids.h.

## internet()

OID internet | ( |  | ) |

inline

Definition at line 90 of file oids.h.

## internet_private()

OID internet_private | ( |  | ) |

inline

Definition at line 91 of file oids.h.

## enterprise()

OID enterprise | ( |  | ) |

inline

Definition at line 92 of file oids.h.

## gnu()

OID gnu | ( |  | ) |

inline

Definition at line 93 of file oids.h.

## ellipticCurve()

OID ellipticCurve | ( |  | ) |

inline

Definition at line 94 of file oids.h.

## curve25519()

OID curve25519 | ( |  | ) |

inline

Definition at line 95 of file oids.h.

## curve448()

OID curve448 | ( |  | ) |

inline

Definition at line 96 of file oids.h.

## curve25519ph()

OID curve25519ph | ( |  | ) |

inline

Definition at line 97 of file oids.h.

## curve448ph()

OID curve448ph | ( |  | ) |

inline

Definition at line 98 of file oids.h.

## oiw()

OID oiw | ( |  | ) |

inline

Definition at line 99 of file oids.h.

## oiw_secsig()

OID oiw_secsig | ( |  | ) |

inline

Definition at line 100 of file oids.h.

## oiw_secsig_algorithms()

OID oiw_secsig_algorithms | ( |  | ) |

inline

Definition at line 101 of file oids.h.

## id_sha1()

OID id_sha1 | ( |  | ) |

inline

Definition at line 102 of file oids.h.

## dssig()

OID dssig | ( |  | ) |

inline

Definition at line 103 of file oids.h.

## algorithm()

OID algorithm | ( |  | ) |

inline

Definition at line 104 of file oids.h.

## encryptionAlgorithm()

OID encryptionAlgorithm | ( |  | ) |

inline

Definition at line 105 of file oids.h.

## elGamal()

OID elGamal | ( |  | ) |

inline

Definition at line 106 of file oids.h.

## teletrust()

OID teletrust | ( |  | ) |

inline

Definition at line 107 of file oids.h.

## teletrust_algorithm()

OID teletrust_algorithm | ( |  | ) |

inline

Definition at line 108 of file oids.h.

## id_ripemd160()

OID id_ripemd160 | ( |  | ) |

inline

Definition at line 109 of file oids.h.

## teletrust_ellipticCurve()

OID teletrust_ellipticCurve | ( |  | ) |

inline

Definition at line 110 of file oids.h.

## brainpoolP160r1()

OID brainpoolP160r1 | ( |  | ) |

inline

Definition at line 111 of file oids.h.

## brainpoolP192r1()

OID brainpoolP192r1 | ( |  | ) |

inline

Definition at line 112 of file oids.h.

## brainpoolP224r1()

OID brainpoolP224r1 | ( |  | ) |

inline

Definition at line 113 of file oids.h.

## brainpoolP256r1()

OID brainpoolP256r1 | ( |  | ) |

inline

Definition at line 114 of file oids.h.

## brainpoolP320r1()

OID brainpoolP320r1 | ( |  | ) |

inline

Definition at line 115 of file oids.h.

## brainpoolP384r1()

OID brainpoolP384r1 | ( |  | ) |

inline

Definition at line 116 of file oids.h.

## brainpoolP512r1()

OID brainpoolP512r1 | ( |  | ) |

inline

Definition at line 117 of file oids.h.

## thawte()

OID thawte | ( |  | ) |

inline

Definition at line 119 of file oids.h.

## X25519()

OID X25519 | ( |  | ) |

inline

Definition at line 120 of file oids.h.

## X448()

OID X448 | ( |  | ) |

inline

Definition at line 121 of file oids.h.

## Ed25519()

OID Ed25519 | ( |  | ) |

inline

Definition at line 122 of file oids.h.

## Ed448()

OID Ed448 | ( |  | ) |

inline

Definition at line 123 of file oids.h.

## certicom()

OID certicom | ( |  | ) |

inline

Definition at line 124 of file oids.h.

## certicom_ellipticCurve()

OID certicom_ellipticCurve | ( |  | ) |

inline

Definition at line 125 of file oids.h.

## secp112r1()

OID secp112r1 | ( |  | ) |

inline

Definition at line 128 of file oids.h.

## secp112r2()

OID secp112r2 | ( |  | ) |

inline

Definition at line 129 of file oids.h.

## secp160r1()

OID secp160r1 | ( |  | ) |

inline

Definition at line 130 of file oids.h.

## secp160k1()

OID secp160k1 | ( |  | ) |

inline

Definition at line 131 of file oids.h.

## secp256k1()

OID secp256k1 | ( |  | ) |

inline

Definition at line 132 of file oids.h.

## secp128r1()

OID secp128r1 | ( |  | ) |

inline

Definition at line 133 of file oids.h.

## secp128r2()

OID secp128r2 | ( |  | ) |

inline

Definition at line 134 of file oids.h.

## secp160r2()

OID secp160r2 | ( |  | ) |

inline

Definition at line 135 of file oids.h.

## secp192k1()

OID secp192k1 | ( |  | ) |

inline

Definition at line 136 of file oids.h.

## secp224k1()

OID secp224k1 | ( |  | ) |

inline

Definition at line 137 of file oids.h.

## secp224r1()

OID secp224r1 | ( |  | ) |

inline

Definition at line 138 of file oids.h.

## secp384r1()

OID secp384r1 | ( |  | ) |

inline

Definition at line 139 of file oids.h.

## secp521r1()

OID secp521r1 | ( |  | ) |

inline

Definition at line 140 of file oids.h.

## sect163k1()

OID sect163k1 | ( |  | ) |

inline

Definition at line 142 of file oids.h.

## sect163r1()

OID sect163r1 | ( |  | ) |

inline

Definition at line 143 of file oids.h.

## sect239k1()

OID sect239k1 | ( |  | ) |

inline

Definition at line 144 of file oids.h.

## sect113r1()

OID sect113r1 | ( |  | ) |

inline

Definition at line 145 of file oids.h.

## sect113r2()

OID sect113r2 | ( |  | ) |

inline

Definition at line 146 of file oids.h.

## sect163r2()

OID sect163r2 | ( |  | ) |

inline

Definition at line 147 of file oids.h.

## sect283k1()

OID sect283k1 | ( |  | ) |

inline

Definition at line 148 of file oids.h.

## sect283r1()

OID sect283r1 | ( |  | ) |

inline

Definition at line 149 of file oids.h.

## sect131r1()

OID sect131r1 | ( |  | ) |

inline

Definition at line 150 of file oids.h.

## sect131r2()

OID sect131r2 | ( |  | ) |

inline

Definition at line 151 of file oids.h.

## sect193r1()

OID sect193r1 | ( |  | ) |

inline

Definition at line 152 of file oids.h.

## sect193r2()

OID sect193r2 | ( |  | ) |

inline

Definition at line 153 of file oids.h.

## sect233k1()

OID sect233k1 | ( |  | ) |

inline

Definition at line 154 of file oids.h.

## sect233r1()

OID sect233r1 | ( |  | ) |

inline

Definition at line 155 of file oids.h.

## sect409k1()

OID sect409k1 | ( |  | ) |

inline

Definition at line 156 of file oids.h.

## sect409r1()

OID sect409r1 | ( |  | ) |

inline

Definition at line 157 of file oids.h.

## sect571k1()

OID sect571k1 | ( |  | ) |

inline

Definition at line 158 of file oids.h.

## sect571r1()

OID sect571r1 | ( |  | ) |

inline

Definition at line 159 of file oids.h.

## joint_iso_ccitt()

OID joint_iso_ccitt | ( |  | ) |

inline

Definition at line 160 of file oids.h.

## country()

OID country | ( |  | ) |

inline

Definition at line 161 of file oids.h.

## joint_iso_ccitt_us()

OID joint_iso_ccitt_us | ( |  | ) |

inline

Definition at line 162 of file oids.h.

## us_organization()

OID us_organization | ( |  | ) |

inline

Definition at line 163 of file oids.h.

## us_gov()

OID us_gov | ( |  | ) |

inline

Definition at line 164 of file oids.h.

## csor()

OID csor | ( |  | ) |

inline

Definition at line 165 of file oids.h.

## nistalgorithms()

OID nistalgorithms | ( |  | ) |

inline

Definition at line 166 of file oids.h.

## aes()

OID aes | ( |  | ) |

inline

Definition at line 167 of file oids.h.

## id_aes128_ECB()

OID id_aes128_ECB | ( |  | ) |

inline

Definition at line 168 of file oids.h.

## id_aes128_cbc()

OID id_aes128_cbc | ( |  | ) |

inline

Definition at line 169 of file oids.h.

## id_aes128_ofb()

OID id_aes128_ofb | ( |  | ) |

inline

Definition at line 170 of file oids.h.

## id_aes128_cfb()

OID id_aes128_cfb | ( |  | ) |

inline

Definition at line 171 of file oids.h.

## id_aes192_ECB()

OID id_aes192_ECB | ( |  | ) |

inline

Definition at line 172 of file oids.h.

## id_aes192_cbc()

OID id_aes192_cbc | ( |  | ) |

inline

Definition at line 173 of file oids.h.

## id_aes192_ofb()

OID id_aes192_ofb | ( |  | ) |

inline

Definition at line 174 of file oids.h.

## id_aes192_cfb()

OID id_aes192_cfb | ( |  | ) |

inline

Definition at line 175 of file oids.h.

## id_aes256_ECB()

OID id_aes256_ECB | ( |  | ) |

inline

Definition at line 176 of file oids.h.

## id_aes256_cbc()

OID id_aes256_cbc | ( |  | ) |

inline

Definition at line 177 of file oids.h.

## id_aes256_ofb()

OID id_aes256_ofb | ( |  | ) |

inline

Definition at line 178 of file oids.h.

## id_aes256_cfb()

OID id_aes256_cfb | ( |  | ) |

inline

Definition at line 179 of file oids.h.

## nist_hashalgs()

OID nist_hashalgs | ( |  | ) |

inline

Definition at line 180 of file oids.h.

## id_sha256()

OID id_sha256 | ( |  | ) |

inline

Definition at line 181 of file oids.h.

## id_sha384()

OID id_sha384 | ( |  | ) |

inline

Definition at line 182 of file oids.h.

## id_sha512()

OID id_sha512 | ( |  | ) |

inline

Definition at line 183 of file oids.h.

## id_sha224()

OID id_sha224 | ( |  | ) |

inline

Definition at line 184 of file oids.h.

## id_sha3_224()

OID id_sha3_224 | ( |  | ) |

inline

Definition at line 185 of file oids.h.

## id_sha3_256()

OID id_sha3_256 | ( |  | ) |

inline

Definition at line 186 of file oids.h.

## id_sha3_384()

OID id_sha3_384 | ( |  | ) |

inline

Definition at line 187 of file oids.h.

## id_sha3_512()

OID id_sha3_512 | ( |  | ) |

inline

Definition at line 188 of file oids.h.

## ansi_x942()

OID ansi_x942 | ( |  | ) |

inline

Definition at line 189 of file oids.h.

## number_type()

OID number_type | ( |  | ) |

inline

Definition at line 190 of file oids.h.

## dhpublicnumber()

OID dhpublicnumber | ( |  | ) |

inline

Definition at line 191 of file oids.h.